## libex-monkeypatched-perl 0.03

=== debian/changelog ===
libex-monkeypatched-perl (0.03-4) unstable; urgency=medium

  * Team upload.
  * Replace CDBS build with DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Aug 2025 14:27:45 +0200

libex-monkeypatched-perl (0.03-3) unstable; urgency=medium

  * Team upload.
  * Remove Makefile.old via debian/clean. (Closes: #1045419)

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Mar 2024 00:48:23 +0100

libex-monkeypatched-perl (0.03-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper dependency to >= 8, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 8 to 10.
  * Set Testsuite header for perl package.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 13 Jun 2022 21:45:36 +0100

libex-monkeypatched-perl (0.03-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:18:48 +0100

libex-monkeypatched-perl (0.03-1) unstable; urgency=low

  * Initial Release.
    Closes: bug#766229.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Oct 2014 19:00:03 +0200
