=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
https://cpan.metacpan.org/authors/id/A/AR/ARC/ex-monkeypatched-([\d.]+)\.tar\.gz
https://metacpan.org/release/ex-monkeypatched .*/ex-monkeypatched-([\d.]+)\.tar\.gz
